import { post } from '#/api/http'

import { BasicService } from '../basic'

class ExamBatchService extends BasicService {
  protected findPageUrl(): string {
    return '/exam/examBatch/list'
  }

  async delete(id: any) {
    return await post(`/exam/examBatch/delete/${id}`)
  }

  protected removeUrl(): string {
    return ''
  }

  protected saveOrUpdateUrl(): string {
    return '/exam/examBatch/saveOrUpdate'
  }
}

export const examBatchService = new ExamBatchService()
